Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.common
Class JasperServerUtil

    java.lang.Object
      com.jaspersoft.jasperserver.war.common.JasperServerUtil

    public class JasperServerUtil

extends java.lang.Object

Version:
  $Id: JasperServerUtil.java 9052 2007-07-11 02:10:37Z melih $
Author:
  aztec

Constructor Summary
`JasperServerUtil()`

Method Summary
`static java.text.DateFormat` | `createCalendarDateFormat(org.springframework.context.MessageSource messages)`
`static java.text.DateFormat` | `createCalendarDateFormat(org.springframework.context.MessageSource messages, java.util.Locale locale)`
`static java.text.DateFormat` | `createCalendarDateTimeFormat(org.springframework.context.MessageSource messages)`
`static java.text.DateFormat` | `createCalendarDateTimeFormat(org.springframework.context.MessageSource messages, java.util.Locale locale)`
`static Folder` | `createNewFolder(RepositoryService repository, java.lang.String folderName, java.lang.String parentUri)` Creates a new folder in the repository
`static boolean` | `createNewReportUnit(RepositoryService repository, ReportUnit unit)`
`static net.sf.jasperreports.engine.export.JRHtmlExporter` | `exportJRToHtml(net.sf.jasperreports.engine.JasperPrint jasperPrint, java.lang.StringBuffer reportContent)`
`static java.lang.String` | `formatDate(org.springframework.context.MessageSource messages, java.util.Date date, java.util.TimeZone timeZone)`
`static ExecutionContext` | `getExecutionContext()`
`static ExecutionContext` | `getExecutionContext(javax.servlet.http.HttpServletRequest request)`
`static ExecutionContext` | `getExecutionContext(java.util.Locale locale)`
`static ExecutionContext` | `getExecutionContext(java.util.Locale locale, java.util.TimeZone timeZone)`
`static ExecutionContext` | `getExecutionContext(org.springframework.webflow.execution.RequestContext context)`
`static java.sql.Connection` | `getJSDatabaseConnection()`
`static java.util.TimeZone` | `getTimezone(javax.servlet.http.HttpServletRequest request)`
`static java.util.TimeZone` | `getTimezone(org.springframework.webflow.execution.RequestContext context)`
`protected static java.util.TimeZone` | `getTimezone(java.lang.String timeZoneId)`
`java.lang.String` | `parseFileName(java.lang.String fullName)`
`static boolean` | `regExValidateDbDriver(java.lang.String driverName)`
`static boolean` | `regExValidateEmail(java.lang.String email)`
`static boolean` | `regExValidateFolder(java.lang.String folderName)`
`static boolean` | `regExValidateJdbcURL(java.lang.String jdbcUrl)`
`static boolean` | `regExValidateJndiServiceName(java.lang.String jndiName)`
`static boolean` | `regExValidateLabel(java.lang.String inp)`
`static boolean` | `regExValidateName(java.lang.String inp)`
`static boolean` | `regExValidateReportName(java.lang.String reportName)`
`static void` | `trimDTOFieldSpaces(java.lang.Object object)`
`static boolean` | `uploadToRepository(ReportUnit rpunit, java.lang.String fileName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasperServerUtil

    public JasperServerUtil()

Method Detail

### getJSDatabaseConnection

    public static java.sql.Connection getJSDatabaseConnection()
                                                       throws java.lang.ClassNotFoundException,
                                                              java.sql.SQLException,
                                                              javax.naming.NamingException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.sql.SQLException`
    `javax.naming.NamingException`

### exportJRToHtml

    public static net.sf.jasperreports.engine.export.JRHtmlExporter exportJRToHtml(net.sf.jasperreports.engine.JasperPrint jasperPrint,
                                                                                   java.lang.StringBuffer reportContent)
                                                                            throws net.sf.jasperreports.engine.JRException

  Throws:
    `net.sf.jasperreports.engine.JRException`

### parseFileName

    public java.lang.String parseFileName(java.lang.String fullName)

### createNewReportUnit

    public static boolean createNewReportUnit(RepositoryService repository,
                                              ReportUnit unit)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createNewFolder

    public static Folder createNewFolder(RepositoryService repository,
                                         java.lang.String folderName,
                                         java.lang.String parentUri)
                                  throws java.lang.Exception

  Creates a new folder in the repository

  Parameters:
    `repository` - Instance of the Repository service
    `folderName` - The Folder name to be created
    `parentUri` - The parent uri fo the folder to be created
  Throws:
    `java.lang.Exception` - Lets any thrown exceptions bubble

### uploadToRepository

    public static boolean uploadToRepository(ReportUnit rpunit,
                                             java.lang.String fileName)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### regExValidateName

    public static boolean regExValidateName(java.lang.String inp)
                                     throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### regExValidateLabel

    public static boolean regExValidateLabel(java.lang.String inp)
                                      throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### regExValidateEmail

    public static boolean regExValidateEmail(java.lang.String email)

### regExValidateFolder

    public static boolean regExValidateFolder(java.lang.String folderName)
                                       throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### regExValidateJndiServiceName

    public static boolean regExValidateJndiServiceName(java.lang.String jndiName)
                                                throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### regExValidateDbDriver

    public static boolean regExValidateDbDriver(java.lang.String driverName)
                                         throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### regExValidateJdbcURL

    public static boolean regExValidateJdbcURL(java.lang.String jdbcUrl)
                                        throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### regExValidateReportName

    public static boolean regExValidateReportName(java.lang.String reportName)
                                           throws java.util.regex.PatternSyntaxException

  Throws:
    `java.util.regex.PatternSyntaxException`

### getExecutionContext

    public static ExecutionContext getExecutionContext(javax.servlet.http.HttpServletRequest request)

### getExecutionContext

    public static ExecutionContext getExecutionContext()

### getExecutionContext

    public static ExecutionContext getExecutionContext(java.util.Locale locale)

### getExecutionContext

    public static ExecutionContext getExecutionContext(java.util.Locale locale,
                                                       java.util.TimeZone timeZone)

### getExecutionContext

    public static ExecutionContext getExecutionContext(org.springframework.webflow.execution.RequestContext context)

### getTimezone

    public static java.util.TimeZone getTimezone(org.springframework.webflow.execution.RequestContext context)

### getTimezone

    protected static java.util.TimeZone getTimezone(java.lang.String timeZoneId)

### getTimezone

    public static java.util.TimeZone getTimezone(javax.servlet.http.HttpServletRequest request)

### trimDTOFieldSpaces

    public static void trimDTOFieldSpaces(java.lang.Object object)

### createCalendarDateFormat

    public static java.text.DateFormat createCalendarDateFormat(org.springframework.context.MessageSource messages,
                                                                java.util.Locale locale)

### createCalendarDateFormat

    public static java.text.DateFormat createCalendarDateFormat(org.springframework.context.MessageSource messages)

### createCalendarDateTimeFormat

    public static java.text.DateFormat createCalendarDateTimeFormat(org.springframework.context.MessageSource messages,
                                                                    java.util.Locale locale)

### createCalendarDateTimeFormat

    public static java.text.DateFormat createCalendarDateTimeFormat(org.springframework.context.MessageSource messages)

### formatDate

    public static java.lang.String formatDate(org.springframework.context.MessageSource messages,
                                              java.util.Date date,
                                              java.util.TimeZone timeZone)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.